Subject: linux-image-2.6.26-1-amd64: default kernel CONFIG_LBD=n, should get with the times and change to 'y'
From: Marc Tamsky <[email-masked]>
To: "Debian Bug Tracking System" <[email-masked]>
Date: Tue, 06 Oct 2009 16:25:38 -0700

Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-13
Justification: causes serious data loss
Severity: critical

*** Please type your report below this line ***

Attaching a 4TB hfsplus formatted volume to this host caused it to silently 
identify it as a 2TB device (with a [mac] labelled partition table,
that contained a 3.6TB partition specification (sdd3))

Attempts to fill the 4TB device with more than 2TB of data caused serious 
data loss, possibly corrupting the hfsplus filesystem.

Lack of a default kernel setting of 'CONFIG_LBD=y' is the proposed root 
cause.

-- Package-specific info:
** Version:
Linux version 2.6.26-1-amd64 (Debian 2.6.26-13) ([email-masked]) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-24)) #1 SMP Sat Jan 10 17:57:00 UTC 2009

** Command line:
root=/dev/mapper/cranium-root ro 

** Not tainted

** Kernel log:
[124335.214322] sd 7:0:0:0: [sdd] Use 0xffffffff as device size
[124335.214322] sd 7:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[124335.232609] sd 7:0:0:0: [sdd] Write Protect is off
[124335.232609] sd 7:0:0:0: [sdd] Mode Sense: 10 00 00 00
[124335.252610] sd 7:0:0:0: [sdd] Cache data unavailable
[124335.252610] sd 7:0:0:0: [sdd] Assuming drive cache: write through
[124335.287148] sd 7:0:0:0: [sdd] Very big device. Trying to use READ CAPACITY(16).
[124335.287148] sd 7:0:0:0: [sdd] READ CAPACITY(16) failed
[124335.287148] sd 7:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[124335.287148] sd 7:0:0:0: [sdd] Use 0xffffffff as device size
[124335.287148] sd 7:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[124335.313113] sd 7:0:0:0: [sdd] Write Protect is off
[124335.313113] sd 7:0:0:0: [sdd] Mode Sense: 10 00 00 00
[124335.328714] sd 7:0:0:0: [sdd] Cache data unavailable
[124335.328727] sd 7:0:0:0: [sdd] Assuming drive cache: write through
[124335.328739]  sdd: [mac] sdd1 sdd2 sdd3 sdd4
[124335.345104] sd 7:0:0:0: [sdd] Attached SCSI disk
[124335.345179] sd 7:0:0:0: Attached scsi generic sg4 type 0
[153347.370795] ieee1394: Node changed: 0-01:1023 -> 0-00:1023
[153347.370795] ieee1394: Node suspended: ID:BUS[0-00:1023]  GUID[001c0d02e02007f4]
[193681.254505] Initializing USB Mass Storage driver...
[193681.254505] usbcore: registered new interface driver usb-storage
[193681.254505] USB Mass Storage support registered.
[193816.949418] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[216516.511901] ieee1394: The root node is not cycle master capable; selecting a new root node and resetting...
[216517.503364] ieee1394: Error parsing configrom for node 0-00:1023
[216517.504692] ieee1394: Node changed: 0-00:1023 -> 0-01:1023
[216538.577734] ieee1394: Node resumed: ID:BUS[0-00:1023]  GUID[001c0d02e02007f4]
[216538.581735] scsi8 : SBP-2 IEEE-1394
[216539.775774] ieee1394: sbp2: Logged into SBP-2 device
[216539.783523] ieee1394: sbp2: Node 0-00:1023: Max speed [S800] - Max payload [4096]
[216539.807772] scsi 8:0:0:0: Direct-Access     External RAID             0    PQ: 0 ANSI: 5
[216539.833920] sd 8:0:0:0: [sdd] Very big device. Trying to use READ CAPACITY(16).
[216539.833920] sd 8:0:0:0: [sdd] READ CAPACITY(16) failed
[216539.833920] sd 8:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[216539.833920] sd 8:0:0:0: [sdd] Use 0xffffffff as device size
[216539.833920] sd 8:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[216539.854392] sd 8:0:0:0: [sdd] Write Protect is off
[216539.854392] sd 8:0:0:0: [sdd] Mode Sense: 10 00 00 00
[216539.867217] sd 8:0:0:0: [sdd] Cache data unavailable
[216539.867217] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[216539.898648] sd 8:0:0:0: [sdd] Very big device. Trying to use READ CAPACITY(16).
[216539.899242] sd 8:0:0:0: [sdd] READ CAPACITY(16) failed
[216539.899242] sd 8:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[216539.899242] sd 8:0:0:0: [sdd] Use 0xffffffff as device size
[216539.899242] sd 8:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[216539.915217] sd 8:0:0:0: [sdd] Write Protect is off
[216539.915217] sd 8:0:0:0: [sdd] Mode Sense: 10 00 00 00
[216539.927394] sd 8:0:0:0: [sdd] Cache data unavailable
[216539.927394] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[216539.927394]  sdd: [mac] sdd1 sdd2 sdd3 sdd4
[216539.956140] sd 8:0:0:0: [sdd] Attached SCSI disk
[216539.956140] sd 8:0:0:0: Attached scsi generic sg4 type 0
[218160.453923] ieee1394: Node changed: 0-01:1023 -> 0-00:1023
[218160.453923] ieee1394: Node suspended: ID:BUS[0-00:1023]  GUID[001c0d02e02007f4]

** Loaded modules:
Module                  Size  Used by
fuse                   53184  0 
ipt_REJECT              7552  0 
xt_tcpudp               7680  0 
iptable_nat             9872  0 
nf_nat                 23192  1 iptable_nat
nf_conntrack_ipv4      19352  3 iptable_nat,nf_nat
nf_conntrack           71440  3 iptable_nat,nf_nat,nf_conntrack_ipv4
iptable_filter          7424  0 
ip_tables              21520  2 iptable_nat,iptable_filter
x_tables               25224  4 ipt_REJECT,xt_tcpudp,iptable_nat,ip_tables
ohci_hcd               25092  0 
ehci_hcd               36108  0 
usb_storage            94528  0 
nls_utf8                6272  0 
hfsplus                75784  0 
nls_base               12932  2 nls_utf8,hfsplus
appletalk              35344  20 
ipv6                  288328  48 
nfsd                  248360  17 
auth_rpcgss            47520  1 nfsd
exportfs                8704  1 nfsd
nfs                   251696  0 
lockd                  68560  2 nfsd,nfs
nfs_acl                 7552  2 nfsd,nfs
sunrpc                197480  16 nfsd,auth_rpcgss,nfs,lockd,nfs_acl
bonding                83680  0 
xfs                   475432  2 
loop                   19468  0 
snd_pcm                81672  0 
snd_timer              25744  1 snd_pcm
snd                    63688  2 snd_pcm,snd_timer
soundcore              12064  1 snd
snd_page_alloc         13072  1 snd_pcm
serio_raw               9860  0 
psmouse                42268  0 
i2c_i801               13596  0 
i2c_core               27936  1 i2c_i801
pcspkr                  7040  0 
rng_core                8968  0 
container               8320  0 
iTCO_wdt               15696  0 
button                 11680  0 
ib_mthca              121444  0 
ib_mad                 39208  1 ib_mthca
ib_core                59392  2 ib_mthca,ib_mad
shpchp                 34080  0 
pci_hotplug            32056  1 shpchp
e752x_edac             16656  0 
edac_core              49560  3 e752x_edac
evdev                  14208  0 
ext3                  125072  6 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  0 
dm_mod                 58864  21 dm_mirror,dm_log,dm_snapshot
raid1                  24192  2 
md_mod                 80164  3 raid1
ide_pci_generic         9220  0 [permanent]
ide_core              128284  1 ide_pci_generic
sbp2                   25356  0 
ata_generic            10116  0 
sg                     36448  0 
sd_mod                 29376  5 
e1000                 117184  0 
ohci1394               32564  0 
ieee1394               93816  2 sbp2,ohci1394
ata_piix               22660  2 
arcmsr                 25856  2 
libata                165472  2 ata_generic,ata_piix
scsi_mod              160760  6 usb_storage,sbp2,sg,sd_mod,arcmsr,libata
dock                   14112  1 libata
thermal                22688  0 
processor              42304  1 thermal
fan                     9352  0 
thermal_sys            17728  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation E7520 Memory Controller Hub [8086:3590] (rev 0c)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: e752x_edac
	Kernel modules: e752x_edac

00:00.1 Class [ff00]: Intel Corporation E7525/E7520 Error Reporting Registers [8086:3591] (rev 0c)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 System peripheral [0880]: Intel Corporation E7520 DMA Controller [8086:3594] (rev 0c)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:02.0 PCI bridge [0604]: Intel Corporation E7525/E7520/E7320 PCI Express Port A [8086:3595] (rev 0c) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0100000-d02fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:04.0 PCI bridge [0604]: Intel Corporation E7525/E7520 PCI Express Port B [8086:3597] (rev 0c) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Memory behind bridge: d0300000-d03fffff
	Prefetchable memory behind bridge: 00000000d2800000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:06.0 PCI bridge [0604]: Intel Corporation E7520 PCI Express Port C [8086:3599] (rev 0c) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	Memory behind bridge: d0400000-d04fffff
	Prefetchable memory behind bridge: 00000000d2000000-00000000d20fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.0 PCI bridge [0604]: Intel Corporation 6300ESB 64-bit PCI-X Bridge [8086:25ae] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 40, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=48
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: d0500000-d05fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 0a) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=08, subordinate=08, sec-latency=32
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: d0600000-d1ffffff
	Prefetchable memory behind bridge: d2100000-d21fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:1f.0 ISA bridge [0601]: Intel Corporation 6300ESB LPC Interface Controller [8086:25a1] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Kernel modules: intel-rng, iTCO_wdt

00:1f.2 IDE interface [0101]: Intel Corporation 6300ESB SATA Storage Controller [8086:25a3] (rev 02) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 1440 [size=8]
	Region 1: I/O ports at 1434 [size=4]
	Region 2: I/O ports at 1438 [size=8]
	Region 3: I/O ports at 1430 [size=4]
	Region 4: I/O ports at 1420 [size=16]
	Kernel driver in use: ata_piix
	Kernel modules: ata_piix, ata_generic, ide-pci-generic

00:1f.3 SMBus [0c05]: Intel Corporation 6300ESB SMBus Controller [8086:25a4] (rev 02)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 1100 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

01:00.0 PCI bridge [0604]: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A [8086:0329] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=01, secondary=02, subordinate=03, sec-latency=64
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0200000-d02fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

01:00.1 PIC [0800]: Intel Corporation 6700/6702PXH I/OxAPIC Interrupt Controller A [8086:0326] (rev 09) (prog-if 20 [IO(X)-APIC])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d0100000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

01:00.2 PCI bridge [0604]: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B [8086:032a] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=01, secondary=04, subordinate=04, sec-latency=64
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

01:00.3 PIC [0800]: Intel Corporation 6700PXH I/OxAPIC Interrupt Controller B [8086:0327] (rev 09) (prog-if 20 [IO(X)-APIC])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d0101000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

02:08.0 PCI bridge [0604]: Pericom Semiconductor PI7C21P100 PCI to PCI Bridge [12d8:01a7] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Bus: primary=02, secondary=03, subordinate=03, sec-latency=200
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0200000-d02fffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

03:04.0 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at d0200000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 2000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

03:04.1 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 53
	Region 0: Memory at d0220000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 2040 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

03:06.0 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 54
	Region 0: Memory at d0240000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 2080 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

03:06.1 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 55
	Region 0: Memory at d0260000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 20c0 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

05:00.0 InfiniBand [0c06]: Mellanox Technologies MT25208 InfiniHost III Ex (Tavor compatibility mode) [15b3:6278] (rev a0)
	Subsystem: Mellanox Technologies MT25208 InfiniHost III Ex (Tavor compatibility mode) [15b3:6278]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0300000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at d2800000 (64-bit, prefetchable) [size=8M]
	Region 4: Memory at d8000000 (64-bit, prefetchable) [size=128M]
	Capabilities: <access denied>
	Kernel driver in use: ib_mthca
	Kernel modules: ib_mthca

06:00.0 RAID bus controller [0104]: Areca Technology Corp. ARC-1680 8 port PCIe/PCI-X to SAS/SATA II RAID Controller [17d3:1680]
	Subsystem: Areca Technology Corp. ARC-1680 8 port PCIe/PCI-X to SAS/SATA II RAID Controller [17d3:1680]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0400000 (32-bit, non-prefetchable) [size=8K]
	[virtual] Expansion ROM at d2000000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: arcmsr
	Kernel modules: arcmsr

07:01.0 Ethernet controller [0200]: Intel Corporation 82541GI Gigabit Ethernet Controller [8086:1076] (rev 05)
	Subsystem: Super Micro Computer Inc Device [15d9:1076]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 24
	Region 0: Memory at d0500000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 3000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

07:02.0 Ethernet controller [0200]: Intel Corporation 82541GI Gigabit Ethernet Controller [8086:1076] (rev 05)
	Subsystem: Super Micro Computer Inc Device [15d9:1076]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 25
	Region 0: Memory at d0520000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 3040 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

08:01.0 VGA compatible controller [0300]: ATI Technologies Inc Rage XL [1002:4752] (rev 27) (prog-if 00 [VGA controller])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: I/O ports at 4000 [size=256]
	Region 2: Memory at d0604000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at d2100000 [disabled] [size=128K]
	Capabilities: <access denied>

08:02.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB82AA2 IEEE-1394b Link Layer Controller [104c:8025] (rev 01) (prog-if 10 [OHCI])
	Subsystem: AFAVLAB Technology Inc Device [14db:702a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at d0605000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at d0600000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: ohci1394
	Kernel modules: ohci1394

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (600, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.25     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93       tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-1-amd64 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

-- debconf information:
  linux-image-2.6.26-1-amd64/postinst/create-kimage-link-2.6.26-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-amd64/preinst/bootloader-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/old-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/initrd-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-system-map-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-initrd-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/preinst/overwriting-modules-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/elilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-install-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/lilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/prerm/removing-running-kernel-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/prerm/would-invalidate-boot-loader-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-test-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-overwrite-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-dir-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-amd64/preinst/failed-to-move-modules-2.6.26-1-amd64: